Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.instantiation
Class FieldInstantiator

    java.lang.Object
      org.jbpm.instantiation.FieldInstantiator

All Implemented Interfaces:
  Instantiator

Direct Known Subclasses:
  BeanInstantiator

    public class FieldInstantiator

extends java.lang.Object
implements Instantiator

Constructor Summary
`FieldInstantiator()`

Method Summary
`static java.lang.Object` | `getValue(java.lang.Class type, org.dom4j.Element propertyElement)`
`java.lang.Object` | `instantiate(java.lang.Class clazz, java.lang.String configuration)`
`protected java.lang.Object` | `newInstance(java.lang.Class clazz)`
`protected org.dom4j.Element` | `parseConfiguration(java.lang.String configuration)`
`protected void` | `setPropertyValue(java.lang.Class clazz, java.lang.Object newInstance, java.lang.String propertyName, org.dom4j.Element propertyElement)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FieldInstantiator

    public FieldInstantiator()

Method Detail

### instantiate

    public java.lang.Object instantiate(java.lang.Class clazz,
                                        java.lang.String configuration)

  Specified by:
    `instantiate` in interface `Instantiator`

### setPropertyValue

    protected void setPropertyValue(java.lang.Class clazz,
                                    java.lang.Object newInstance,
                                    java.lang.String propertyName,
                                    org.dom4j.Element propertyElement)

### parseConfiguration

    protected org.dom4j.Element parseConfiguration(java.lang.String configuration)

### newInstance

    protected java.lang.Object newInstance(java.lang.Class clazz)

### getValue

    public static java.lang.Object getValue(java.lang.Class type,
                                            org.dom4j.Element propertyElement)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD